enum EnumMonth0:
  - January
  - February
  - Month

struct Message1:
  a: int32
  b: string
  c: EnumMonth0
  d: bool

struct Message2:
  toto: string
  tata: vector<Message1>
  tutu: vector<string>
  titi: map<string, string>
  lulu: map<string, Message1>
